Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class WrongAllignmentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jsystems.tools.exception.BaseException
                  de.jsystems.framework.common.exception.WrongAllignmentException

All Implemented Interfaces:
  Serializable

public class WrongAllignmentException
extends BaseException

Diese Exception wird von der Klasse `BusinessTabbedPane` ausgelöst, wenn eine ungueltige Anordnung der Komponenten ausgewählt wird beim initialisieren.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseException
`LEVEL_ERROR, LEVEL_FATAL, LEVEL_WARNING, LOG_ERROR, LOG_FATAL_ERROR, LOG_NONE, LOG_WARNING`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`WrongAllignmentException(Object source)` Erzeugt eine neue Exception, wobei nur das ausloesende Objekt mit uebergeben wird.
`WrongAllignmentException(Object source, String s)` Erzeugt eine neue Exception, wobei hier ausser dem ausloesenden Objekt noch zusaetzlich eine Beschreibung der Ursache des Fehlers mit angegeben wird.

Methods inherited from class de.jsystems.tools.exception.BaseException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongAllignmentException

    public WrongAllignmentException(Object source)

  Erzeugt eine neue Exception, wobei nur das ausloesende Objekt mit uebergeben wird.

Parameters:
  `source` - Die Quelle, die diese Exception erzeugt hat.

### WrongAllignmentException

    public WrongAllignmentException(Object source,
                                    String s)

  Erzeugt eine neue Exception, wobei hier ausser dem ausloesenden Objekt noch zusaetzlich eine Beschreibung der Ursache des Fehlers mit angegeben wird.

Parameters:
  `source` - Die Quelle, die diese Exception erzeugt hat.
  `s` - Eine genauere Beschreibung, warum es zu dieser Exception gekommen ist.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD